<?php

class VirtfusionServer
{
    private $api;

    public function __construct(VirtfusionApi $api)
    {
        $this->api = $api;
    }

    public function suspend($serverId, array $vars)
    {
        return $this->api->submit('servers/' . $serverId . '/suspend', 'POST', $vars);
    }

    public function unsuspend($serverId, array $vars)
    {
        return $this->api->submit('servers/' . $serverId . '/unsuspend', 'POST', $vars);
    }

    public function cancel($serverId, array $vars)
    {
        return $this->api->submit('servers/' . $serverId, 'DELETE', $vars);
    }

    public function create(array $vars)
    {
        return $this->api->submit('servers/', 'POST', $vars);
    }

    public function fetchToken($serverId, $clientId, array $vars)
    {
        return $this->api->submit('users/' . $clientId . '/serverAuthenticationTokens/' . $serverId, 'POST', $vars);
    }
}
